Subject: Re: bug#11865: Fwd: Re: 24.1.50; doxygen comments not highlighted in c++-mode

From: Toon Claes <[email-masked]>
Date: Thu, 10 Mar 2016 09:58:56 +0100

Hi Lars,

Find the patch attached.
The regexp is written to match:
/** gtkdoc */
/**
 * gtkdoc
 */

And to not match:
/*******/

Kind regards,
Toon

> On 27 Feb 2016, at 05:04, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Toon Claes <[email-masked]> writes:
> 
>> I do not really agree.
>> 
>> Let me explain in detail.
>> Only comment blocks like the following were recognized as gtkdoc:
>> /**
>> * This is the gtkdoc comment
>> */
>> 
>> I wanted also gtkdoc styling to be applied to:
>> /** This should be gtkdoc comment too */
>> 
>> I admit, the regexp I wrote back in the day was not correctly escaped.
>> But I was trying to achieve comments with 3 or more asterisks would
>> not get styled like gtkdoc comments.
> 
> Can you supply a patch that will give the correct styling?
> 
> --
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no